<?php

class BUCHUNGSLISTE{
	private $db;
	private $minus = 1;
	private $seiteAktuell;
	private $SitesComplete;
	private $extVariables;
	private $session = array();
	
	function __construct(){
		global $_GET,$datenbank,$_SESSION;
		$this->db = $datenbank;
		$this->session = $this->db->escape($_SESSION);
		if(isset($_GET['minus']) && is_numeric($_GET['minus'])){ $this->minus = $_GET['minus'];}
	}
	
	public function get_results(){
		$start = $this->seiteAktuell * MAX_EINTRAEGE - MAX_EINTRAEGE;
		$result = $this->db->get_results("SELECT * FROM ". PREFIX . BUCH ." WHERE uid = '". $this->session['uid'] ."' ORDER BY id DESC LIMIT $start, ".MAX_EINTRAEGE);
		echo '<ul class="list-group">
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3"><b></b>Buchungstag</b></div>
						<div class="col-md-3"><b>Verwendungszweck</b></div>
						<div class="col-md-3"><b>Buchungs-ID</b></div>
						<div class="col-md-3"><b>Buchungsmenge</b></div>
					</div>
				</li>
				';
		foreach($result AS $res){
			echo '
				<li class="list-group-item">
					<div class="row">
						<div class="col-md-3">'. date("d.m.Y",$res->buchungszeit) .'</div>
						<div class="col-md-3">'. $res->verwendungszweck .'</div>
						<div class="col-md-3">'. $res->buchungs_id .'</div>
						<div class="col-md-3">'. number_format($res->buchungsmenge,2,',','.') .' &euro;</div>
					</div>
				</li>
			';
		}
		echo '</ul>';
	}
	
	public function grunddaten(){
		$this->seiteAktuell = $this->minus + 0;
		$Eintraege = $this->db->num_rows("SELECT * FROM ". PREFIX . BUCH ." WHERE uid = '". $this->session['uid'] ."'");
		$this->SitesComplete = ceil($Eintraege / MAX_EINTRAEGE);
		$this->extVariables = '';
		echo '<center><div class="btn-group">'. $this->navigationsLeiste('minus',"?page=/konto/buchungen") .'</div></center>';
	}
	
	private function navigationsLeiste($art,$link){      
		$string = '';
		$NavCeil = floor(NAV_LEISTE / 2);
		if($this->seiteAktuell > 1){
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'=1'.$this->extVariables.'"><<</a>&nbsp;&nbsp;';
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.($this->seiteAktuell-1).$this->extVariables.'">
				<</a>&nbsp;&nbsp;';
		}
		for($x=$this->seiteAktuell-$NavCeil;$x<=$this->seiteAktuell+$NavCeil;$x++){
			// Alle Seitenzahlen vor und nach der aktuellen Seite verlinken
			if(($x>0 && $x<$this->seiteAktuell) || ($x>$this->seiteAktuell && $x<=$this->SitesComplete))
				$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.$x.$this->extVariables.'">'.$x.'</a>&nbsp;&nbsp;';
			if($x==$this->seiteAktuell)
				$string .= '<button class="btn btn-primary" disabled="disabled">'.$x . '</button>';
		}
		if($this->seiteAktuell < $this->SitesComplete){
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.($this->seiteAktuell+1).$this->extVariables.'">>
			 </a>&nbsp;&nbsp;';
			$string .= '<a class="btn btn-light" href="'. $link .'&'.$art.'='.$this->SitesComplete.$this->extVariables.'">>>
			  </a>&nbsp;&nbsp;';
		}
		return $string;
		
	}
}

?>
